Page MenuHomeFreeBSD

databases/postgis21, databases/postgis22, databases/postgis25: remove useless pkg-install
AcceptedPublic

Authored by lbartoletti_tuxfamily.org on May 9 2019, 6:16 PM.

Details

Summary

As mentioned by @sunpoet pkg-install is not needed anymore and was deleted in databases/postgis23 and databases/postgis24.

We should remove them from the other versions (databases/postgis21, databases/postgis22 and databases/postgis25).

As a reminder postgis21 and postgis22 expire on 15 June.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

===>  Configuring for postgis21-2.1.8_3
/bin/sh: cannot open /usr/ports/databases/postgis21/pkg-install: No such file or directory
*** Error code 127

Remove pre-configure section in postgis21 and postgis22

tcberner accepted this revision.May 12 2019, 2:13 PM
[00:01:35] Failed ports: databases/postgis21:build databases/postgis20:build

^ they fail to missing linkage on -lm, I guess.

This revision is now accepted and ready to land.May 12 2019, 2:13 PM
sunpoet accepted this revision.May 12 2019, 4:38 PM

LGTM. Thanks!

[00:01:35] Failed ports: databases/postgis21:build databases/postgis20:build

^ they fail to missing linkage on -lm, I guess.

Hmmm... on HEAD?

[00:01:35] Failed ports: databases/postgis21:build databases/postgis20:build

^ they fail to missing linkage on -lm, I guess.

Hmmm... on HEAD?

yes